define([
    'jquery',
    'matchMedia',
    'lazyload',
    'plyr',
    'jquery/ui',
    'swiper_4_0_6'
], function ($, mediaCheck, lazy, plyr, ui, Swiper) {
    'use strict';

    $.widget('filoblu.bannerListWidget', {

        _create: function () {

            var self = this,
                bannerList = $('.banner-list-contianer', self.element);

            mediaCheck({
                media: '(max-width: 991px)',
                entry: $.proxy(function () {
                    self.initBannerListSlider(bannerList,self);
                }, this)
            });
        },

        initBannerListSlider: function (slider,self) {
            var bannerListSlider = new Swiper(slider,{
                spaceBetween: 20,
                slidesPerView: 3,
                slidesPerGroup: 1,
                wrapperClass: 'banner-list-wrapper',
                slideClass: 'banner-list-item',
                pagination: {
                    el: self.options.paginationContainer
                },
                breakpoints: {
                    767: {
                        slidesPerView: 1,
                        spaceBetween: 10
                    },
                    991: {
                        slidesPerView: 2,
                        spaceBetween: 20
                    }
                },
                on: {
                    slideChangeTransitionStart: function () {
                        $("img.lazyload", $(bannerListSlider.slides)).lazyload(true);
                    },
                    resize: function () {
                        mediaCheck({
                            media: '(max-width: 991px)',
                            exit: $.proxy(function () {
                                if (typeof bannerListSlider !== 'undefined') {
                                    bannerListSlider.destroy();
                                }
                            }, this)
                        });
                    }
                }
            });
        }


    });

    return $.filoblu.sliderWidget;
});
